## START: Set by rpmautospec
## (rpmautospec version 0.2.6)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

Name:           python-airspeed
Version:        0.5.20
Release:        %autorelease
Summary:        A lightweight template engine compatible with Velocity

License:        BSD-2-Clause
URL:            https://github.com/purcell/airspeed
Source0:        %{url}/archive/%{version}/airspeed-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
Airspeed is a powerful and easy-to-use templating engine for Python that aims
for a high level of compatibility with the popular Velocity library for Java.

 • Compatible with Velocity templates
 • Compatible with Python 2.6 and greater, including Jython
 • Features include macros definitions, conditionals, sub-templates and much
   more
 • Airspeed is already being put to serious use
 • Comprehensive set of unit tests; the entire library was written test-first
 • Reasonably fast
 • A single Python module of a few kilobytes, and not the 500kb of Velocity
 • Liberal license (BSD-style)}

%description %_description


%package -n python3-airspeed
Summary:        %{summary}

%description -n python3-airspeed %_description


%prep
%autosetup -n airspeed-%{version} -p1


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files airspeed


%check
PYTHONPATH="${PWD}" %{python3} -m unittest tests

%files -n python3-airspeed -f %{pyproject_files}
%doc README.md

%changelog
* Wed Aug 31 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.5.20-1
- Update to 0.5.20 (close RHBZ#2057006)

* Wed Aug 31 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.5.17-8
- Convert License to SPDX

* Wed Aug 31 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.5.17-7
- Port to pyproject-rpm-macros

* Wed Aug 31 2022 Benjamin A. Beasley <code@musicinmybrain.net> 0.5.17-6
- Use tarball from tag now that one exists

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.5.17-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Sep 04 2021 Benjamin A. Beasley <code@musicinmybrain.net> - 0.5.17-1
- Update to 0.5.17 (close RHBZ#1956518)
- Remove obsolete macros
- Better preserve upstream mtimes; send a shebang removal PR upstream
- Since “setup.py test” is deprecated, and uses deprecated nose to collect
  tests, use pytest as the runner instead

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.16-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.5.16-5
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.16-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.16-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 25 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.16-2
- Explicitly BR setuptools

* Sun Jun 21 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.16-1
- Update to 0.5.16

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 0.5.15-2
- Rebuilt for Python 3.9

* Fri May 01 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.15-1
- Update to latest release
- Use git release for tests

* Tue Apr 21 2020 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.14-1
- Update 0.5.14
- use github commit hash, upstream did not tag release

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Oct 23 2019 Aniket Pradhan <major AT fedoraproject DOT org> - 0.5.13-1
- Upgraded to v0.5.12

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 0.5.12-2
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Thu Aug 29 2019 Aniket Pradhan <major AT fedoraproject DOT org> - 0.5.12-1
- Upgraded to v0.5.12

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 0.5.11-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.5.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat Jul 20 2019 Ankur Sinha <ankursinha AT fedoraproject DOT org> - 0.5.11-1
- Initial build

